Subject: Re: [ANNOUNCE] Guilt v0.31

From: Michael J Gruber <[email-masked]>
Date: Tue, 09 Sep 2008 15:02:07 +0200

Michael J Gruber venit, vidit, dixit 09.09.2008 12:10:
> Junio C Hamano venit, vidit, dixit 08.09.2008 21:17:
...
>> Either be thankful for the availability of tarballs, or ignore them and
>> generate them yourself --- it's your choice.
> 
> He might want an install target which installs doc from the doc-tarball
> or from the man- and html-branches. Be it a Makefile in those
> convenience branches. I know it's just a tar or cpio away, of course. I
> might look at a Makefile for the doc branches.
> 
> Michael

Following up on my own mumble: There are some lesser known make targets for git which almost do that already.

make install-html uses only asciidoc and xsltproc, but not xmlto, for generating (and installing) html doc, which makes some people happier already.

make quick-install-doc installs the man pages (and only the man pages, not the html version) by using the "man" branch provided by "the man" (JC).

I would go about renaming quick-install-doc to quick-install-man, introducing quick-install-html doing the analogous using the "html" branch and quick-install-doc doing both, which would be more in line with the install-doc target.

Are there any objections to renaming quick-install-doc to quick-install-man?

Michael